# Tinker with topologies.

## Functions

HWLOC_DECLSPEC void | hwloc_topology_export_xml (hwloc_topology_t topology, const char *xmlpath)
| Export the topology into an XML file.
HWLOC_DECLSPEC hwloc_obj_t | hwloc_topology_insert_misc_object_by_cpuset (hwloc_topology_t topology, hwloc_const_cpuset_t cpuset, const char *name)
| Add a MISC object to the topology.
HWLOC_DECLSPEC hwloc_obj_t | hwloc_topology_insert_misc_object_by_parent (hwloc_topology_t topology, hwloc_obj_t parent, const char *name)
| Add a MISC object to the topology.

## Function Documentation

HWLOC_DECLSPEC void hwloc_topology_export_xml | ( | hwloc_topology_t | topology,
|  | const char * | xmlpath |
| ) |  |  |

Export the topology into an XML file.

This file may be loaded later through hwloc_topology_set_xml().

HWLOC_DECLSPEC hwloc_obj_t hwloc_topology_insert_misc_object_by_cpuset | ( | hwloc_topology_t | topology,
|  | hwloc_const_cpuset_t | cpuset,
|  | const char * | name |
| ) |  |  |

Add a MISC object to the topology.

A new MISC object will be created and inserted into the topology at the position given by cpuset.

cpuset and name will be copied.

Returns:
  the newly-created object

HWLOC_DECLSPEC hwloc_obj_t hwloc_topology_insert_misc_object_by_parent | ( | hwloc_topology_t | topology,
|  | hwloc_obj_t | parent,
|  | const char * | name |
| ) |  |  |

Add a MISC object to the topology.

A new MISC object will be created and inserted into the topology at the position given by parent.

name will be copied.

Returns:
  the newly-created object